Skip to main content

Get PHR card

Endpoint: GET /abha/api/v3/phr/web/login/profile/abha/phr-card

GET/abha/api/v3/phr/web/login/profile/abha/phr-card

Flow: ABHA Address Login - Mobile OTP - step 5 of 6

  • Previous: *Get ABHA-address profile*
  • Next: *Get ABHA-address QR code*

---

This API endpoint is used to generate a PHR Card profile. It requires valid credentials and headers for authentication.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

X-tokenstringRequired

User token (Bearer <token>) received after ABHA creation / login.

REQUEST-IDstringRequired

Unique UUID for every request.

TIMESTAMPstringRequired

Current UTC timestamp in ISO-8601 format.

Responses

202

Indicates a successful generation of PHR card

The callback never arrives

400

A 400 Bad Request error with the description “invalid X-token” indicates that the server received a request with an invalid or missing authentication token.

Error codes for this module

401

Invalid Credentials error occurs when a server receives a request but cannot authorize it due to incorrect or missing authentication

Everything returns 401

codestring
messagestring
descriptionstring
500

Internal Server Error

An Internal Server Error (500) indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

Error codes for this module